Skip to main content
Operations Management/Tenant Management (Plus)/Project Operations
POSTProject OperationsSince 0.6SynchronousAuth Required

AttachRoleToAccount

AttachRoleToAccount

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • roleUuidStringRequired

    角色UUID。

  • accountUuidStringRequired

    The account UUID.

Body Fields

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

POST/zstack/v1/identities/accounts/{accountUuid}/roles/{roleUuid}

/zstack/v1/identities/accounts/{accountUuid}/roles/{roleUuid}

Operation ID

AttachRoleToAccount

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/identities/accounts/{accountUuid}/roles/{roleUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history